﻿using UnityEngine;
using System.Collections;
[RequireComponent(typeof(MovementAnimation))]
public class EnemyAI : MonoBehaviour {
   
    public GameObject target;
    public GameObject drop;
    public float speed;
    //MovementAnimation anim;

	// Use this for initialization
	void Start () {
        //anim = GetComponent<MovementAnimation>();
	}
	
	// Update is called once per frame
	void Update () {
      
        Vector2 vectTo = target.transform.position - transform.position;
        if (Mathf.Abs(vectTo.magnitude) < 0.01f) return;
        Vector2 pos = transform.position;
        pos += vectTo.normalized * speed;
        transform.position = pos;
        /*
        if (Mathf.Abs(vectTo.x) > Mathf.Abs(vectTo.y))
        {
            if (vectTo.x > 0)
            anim.newstate = MovementAnimation.direction.kRight;
            else
            anim.newstate = MovementAnimation.direction.kLeft;
        }
        else
        {
            if (vectTo.y > 0)
            anim.newstate = MovementAnimation.direction.kBack;
            else
            anim.newstate = MovementAnimation.direction.kForward;
        }
        */
	}

    void OnTriggerEnter2D(Collider2D col)
    {
        
        if (col.gameObject.tag == "Bullet")
        {
            Destroy(col.gameObject);
            EnemyMgr.Instance.RemoveEnemy(gameObject, true);
        }
    }
    public void OnDeath()
    {
        if (Random.Range(0, 2) == 0)
        {
            GameObject newDrop = Instantiate(drop) as GameObject;
            newDrop.transform.position = transform.position;
        }
    }
}
