﻿using UnityEngine;
using System.Collections;

public class MovementAnimation : MonoBehaviour {
    
    Animator anim;

    public enum direction
    {
        kBack,
        kForward,
        kLeft,
        kRight,
        kIdle
    }
    public direction newstate = direction.kIdle;
    private direction curstate = direction.kIdle;
    public direction CurState 
    {
        get { return curstate;  }
        set { }
    }

	// Use this for initialization
	void Start () {
        anim = GetComponent<Animator>();
	}
	
	// Update is called once per frame
	void Update () {
      
        if (curstate != newstate)
        {
            curstate = newstate;
            switch (curstate)
            {
            case direction.kIdle:
                anim.SetTrigger("Idle");
                break;
            case direction.kLeft:
                anim.SetTrigger("GoLeft");
                break;
            case direction.kRight:
                anim.SetTrigger("GoRight");
                break;
            case direction.kBack:
                anim.SetTrigger("GoBack");
                break;
            case direction.kForward:
                anim.SetTrigger("GoForward");
                break;
            }
        }
	}
}
